ITKit - Bug #5

CoreGraphics hacks no longer function properly under 64-bit
12/28/2009 02:58 PM - Joseph Spiros

Status: Resolved Start date: 12/28/2009
Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

It seems that the CoreGraphics hacks (source:ITCoreGraphicsHacks.h) used to enable shadows for ITTextFieldCell no longer
function properly under 64-bit. Due to this, ITTextFieldCell instances with shadows enabled do not draw text with shadows, if at all.

Related issues:
Blocks ITTSW.growlView - Bug #4: Not recognized under Growl 1.2 beta on Snow ... Resolved 09/18/2009

Associated revisions

Revision 99f5b6f0 - 08/07/2010 11:05 PM - Joseph Spiros

Removing the use of private CoreGraphics APIs to draw shadows, and replacing with NSShadow. This should resolve ITKit bug #5.

History

#1 - 12/28/2009 03:26 PM - Joseph Spiros

A switch from CGShadowStyle + CGContextSetStyle to CGContextSetShadow would probably be the ideal fix. However, converting the elevation,
azimuth, ambient, height, radius, and saturation components of CGShadowStyle (which have been exposed in the ITTextFieldCell API) to the offset,
blur, and color components accepted by CGContextSetShadow will require some work.

#2 - 08/07/2010 11:16 PM - Joseph Spiros
- Status changed from New to Resolved

- % Done changed from 0 to 100

Resolved by 99f5b6f0f00956827¢1168857d6715a27958db98.
